=== debian/changelog ===
libxtc-rats-java (1.15.0-2) unstable; urgency=medium

  * Source-only rebuild.
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Mon, 25 Oct 2021 11:54:06 +0200

libxtc-rats-java (1.15.0-1) unstable; urgency=medium

  * Initial release. (Closes: #986922)

 -- Markus Koschany <apo@debian.org>  Thu, 15 Apr 2021 12:51:00 +0200
