=== debian/control ===
Source: libxtc-rats-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 junit4,
 libantlr-java,
 maven-repo-helper
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/java-team/libxtc-rats-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libxtc-rats-java
Homepage: https://cs.nyu.edu/rgrimm/xtc/

Package: libxtc-rats-java
Architecture: all
Depends:
 libantlr-java,
 ${misc:Depends}
Description: parser generator written in Java
 The xtc (eXTensible Compiler) project is exploring novel programming languages
 and tools to improve the expressiveness, safety, and efficiency of complex
 systems.
 .
 This package includes Rats!, a parser generator supporting modular syntax and
 declarative syntax tree specifications.
