=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export JAVA_DEV_ROOT := $(CURDIR)
export CLASSPATH := /usr/share/java/junit4.jar:/usr/share/java/antlr.jar

%:
	dh $@ --with javahelper --with maven_repo_helper

override_dh_auto_build:
	dh_auto_build -- jars

override_dh_auto_clean:

override_dh_auto_test:
